Bug 1417513 - [abrt] gnome-terminal: touch_handle_motion(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: touch_handle_motion(): gnome-terminal-server killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2e4a2c4c1c33e8e10662439ddce...
: 1362680 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 02:18 UTC by Jonathan Briggs
Modified: 2017-12-12 10:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.04 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: cgroup (364 bytes, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: core_backtrace (4.49 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: dso_list (9.66 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: environ (1.82 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: maps (50.68 KB, text/plain)
2017-01-30 02:18 UTC, Jonathan Briggs
no flags Details
File: mountinfo (4.33 KB, text/plain)
2017-01-30 02:19 UTC, Jonathan Briggs
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-30 02:19 UTC, Jonathan Briggs
no flags Details
File: open_fds (1.28 KB, text/plain)
2017-01-30 02:19 UTC, Jonathan Briggs
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-30 02:19 UTC, Jonathan Briggs
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-30 02:19 UTC, Jonathan Briggs
no flags Details

Description Jonathan Briggs 2017-01-30 02:18:47 UTC
Description of problem:
I touched a gnome-terminal window on my laptop. It crashed.

Version-Release number of selected component:
gnome-terminal-3.22.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: touch_handle_motion
executable:     /usr/libexec/gnome-terminal-server
global_pid:     6552
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 touch_handle_motion at gdkdevice-wayland.c:2448
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 wl_closure_invoke at src/connection.c:935
 #4 dispatch_event at src/wayland-client.c:1310
 #5 dispatch_queue at src/wayland-client.c:1456
 #6 wl_display_dispatch_queue_pending at src/wayland-client.c:1698
 #7 wl_display_dispatch_pending at src/wayland-client.c:1761
 #8 _gdk_wayland_display_queue_events at gdkeventsource.c:198
 #9 gdk_display_get_event at gdkdisplay.c:438

Potential duplicate: bug 1362680

Comment 1 Jonathan Briggs 2017-01-30 02:18:52 UTC
Created attachment 1245698 [details]
File: backtrace

Comment 2 Jonathan Briggs 2017-01-30 02:18:53 UTC
Created attachment 1245699 [details]
File: cgroup

Comment 3 Jonathan Briggs 2017-01-30 02:18:54 UTC
Created attachment 1245700 [details]
File: core_backtrace

Comment 4 Jonathan Briggs 2017-01-30 02:18:55 UTC
Created attachment 1245701 [details]
File: dso_list

Comment 5 Jonathan Briggs 2017-01-30 02:18:56 UTC
Created attachment 1245702 [details]
File: environ

Comment 6 Jonathan Briggs 2017-01-30 02:18:57 UTC
Created attachment 1245703 [details]
File: exploitable

Comment 7 Jonathan Briggs 2017-01-30 02:18:58 UTC
Created attachment 1245704 [details]
File: limits

Comment 8 Jonathan Briggs 2017-01-30 02:18:59 UTC
Created attachment 1245705 [details]
File: maps

Comment 9 Jonathan Briggs 2017-01-30 02:19:00 UTC
Created attachment 1245706 [details]
File: mountinfo

Comment 10 Jonathan Briggs 2017-01-30 02:19:01 UTC
Created attachment 1245707 [details]
File: namespaces

Comment 11 Jonathan Briggs 2017-01-30 02:19:02 UTC
Created attachment 1245708 [details]
File: open_fds

Comment 12 Jonathan Briggs 2017-01-30 02:19:03 UTC
Created attachment 1245709 [details]
File: proc_pid_status

Comment 13 Jonathan Briggs 2017-01-30 02:19:04 UTC
Created attachment 1245710 [details]
File: var_log_messages

Comment 14 Jonathan Briggs 2017-01-30 02:22:49 UTC
*** Bug 1362680 has been marked as a duplicate of this bug. ***

Comment 15 Christian Persch 2017-09-14 09:39:25 UTC
Upstream in gtk+: https://bugzilla.gnome.org/show_bug.cgi?id=776220

Comment 16 Fedora End Of Life 2017-11-16 14:43:08 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:37:07 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.